#ifndef _BITITER_H_
#define _BITITER_H_

#include "bitmap.h"

class BitIterator : public Bitmap
{
public:
    BitIterator(const Bitmap &b)
    :Bitmap(b),n(0)
    {
       //p = (unsigned short*)&data;
    }

    // returns the index of the first bit set, clears it after
    // fetching it.
    int Next();

    private:

//    unsigned short *p;
    int n;
};

#endif
